org.apache.lucene.search.join

## Enum BlockJoinSelector.Type

- java.lang.Object
- - java.lang.Enum<BlockJoinSelector.Type>
  - - org.apache.lucene.search.join.BlockJoinSelector.Type

- All Implemented Interfaces:
    Serializable, Comparable<BlockJoinSelector.Type>
  Enclosing class:
    BlockJoinSelector

      public static enum BlockJoinSelector.Type
      extends Enum<BlockJoinSelector.Type>

  Type of selection to perform. If none of the documents in the block have a value then no value will be selected.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAX` Only consider the maximum value from the block when sorting.
    `MIN` Only consider the minimum value from the block when sorting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlockJoinSelector.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BlockJoinSelector.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN

          public static final BlockJoinSelector.Type MIN

      Only consider the minimum value from the block when sorting.

    - #### MAX

          public static final BlockJoinSelector.Type MAX

      Only consider the maximum value from the block when sorting.

  - ### Method Detail

    - #### values

          public static BlockJoinSelector.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BlockJoinSelector.Type c : BlockJoinSelector.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BlockJoinSelector.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.